GET rooms

zoom.us

Summary: List Zoom Rooms
Operation ID: listZoomRooms
Auth: unknown
Description

Zoom Rooms is a software-based room system that provides an integrated experience for audio conferencing, wireless screen sharing and video conferencing. Use this API to list all the existing [Zoom Rooms](https://support.zoom.us/hc/en-us/articles/207483343-Getting-Started-with-Zoom-Rooms) in a Zoom account.<br><br> **Prerequisites:**<br> * Pro or a higher plan with [Zoom Room](https://zoom.us/zoomrooms) license.<br> **Scopes**: `room:read:admin`<br> **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Medium`

Parameters (6)

location_id (string, query, optional)

Parent location ID of the Zoom Room.

next_page_token (string, query, optional)

The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.

page_size (integer, query, optional, default: 30)

The number of records returned within a single API call.

Constraints: {'maximum': 300}

status (string, query, optional)

The status of the Zoom Room.

Constraints: {'enum': ['Offline', 'Available', 'InMeeting', 'UnderConstruction']}

type (string, query, optional)

Type of the Zoom Rooms.

Constraints: {'enum': ['ZoomRoom', 'SchedulingDisplayOnly', 'DigitalSignageOnly']}

unassigned_rooms (boolean, query, optional, default: False)

Use this query parameter with a value of `true` if you would like to see Zoom Rooms in your account that have not been assigned to anyone yet.

No probe data for this endpoint yet.